# Create final image
FROM alpine:latest

ARG TARGETOS
ARG TARGETARCH

# Copy binary from builder

RUN apk add --no-cache wget curl bash jq

RUN mkdir -p /sos && mkdir -p /data/storage

COPY --chmod=0755 output/simple_object_storage.${TARGETARCH} /sos/sos
COPY testing/ /testing/

# Expose port
EXPOSE 80

# Run server (assuming config is mounted at /data/sos_config.json)
CMD ["/sos/sos"] 
